<?php

namespace WPDesk\FakturyKSEF\Api\Exceptions;

/**
 * Interface that all exceptions must implement.
 *
 * @package WPDesk\AbstractShipping\Exception
 */
interface ResponseExceptionInterface {

	/**
	 * @return object
	 */
	public function get_body_contents();

	/**
	 * @return bool
	 */
	public function is_error( $result );

	/**
	 * @return array
	 */
	public function get_error_message();
}
